# WebhookRepresentationDict<!-- -->

Minimal representation of an ad-hoc webhook attached to a single Actor run or build via the `webhooks` query parameter. The query parameter value is a Base64-encoded JSON array whose items match this schema. Persistent webhook fields (e.g. `condition`) are not used here.

## Index[**](#Index)

### Properties

* [**event\_types](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationDict.md#event_types)
* [**headers\_template](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationDict.md#headers_template)
* [**payload\_template](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationDict.md#payload_template)
* [**request\_url](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationDict.md#request_url)

## Properties<!-- -->[**](#Properties)

### [**](#event_types)event\_types

**event\_types: [list](https://docs.apify.com/api/client/python/api/client/python/reference/class/ActorEnvVarCollectionClient.md#list)\[Literal\[ACTOR.BUILD.ABORTED, ACTOR.BUILD.CREATED, ACTOR.BUILD.FAILED, ACTOR.BUILD.SUCCEEDED, ACTOR.BUILD.TIMED\_OUT, ACTOR.RUN.ABORTED, ACTOR.RUN.CREATED, ACTOR.RUN.FAILED, ACTOR.RUN.RESURRECTED, ACTOR.RUN.SUCCEEDED, ACTOR.RUN.TIMED\_OUT, TEST]]

### [**](#headers_template)headers\_template

**headers\_template: NotRequired\[str | None]

Optional template for the HTTP headers sent by the webhook.

### [**](#payload_template)payload\_template

**payload\_template: NotRequired\[str | None]

Optional template for the JSON payload sent by the webhook.

### [**](#request_url)request\_url

**request\_url: str

The URL to which the webhook sends its payload.
